/*
 * Raima Database Manager
 *
 * Copyright (C) 2016 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */

/** \file psptypes-win.h
 *  \brief Header for the Platform Support Package - Platform dependent types for Windows
 */

#ifndef RDM_DOXYGEN
#ifndef PSPTYPES_WIN_H
#define PSPTYPES_WIN_H

#include <stdint.h>

#if !defined(RDM_UNREF) && defined(_MSC_VER) && _MSC_VER < 1800
#define RDM_UNREF(a)
#endif

#define RDM_64BIT_CODE RDM_T ("I64")
#define RDM_64BIT_CODE_A "I64"

#endif
#endif
