/* ----------------------------------------------------------------------------
 * Raima Database Manager
 *
 * Copyright (c) 2014 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 * ----------------------------------------------------------------------------
 */

/** \file rdmapi.h
 *  \brief Header for the RDM Core API
 */

#include "rdmbcdapi.h"
#include "rdmuuidapi.h"
#include "rdmcmdlineapi.h"
#include "rdmcursorapi.h"
#include "rdmdatetimeapi.h"
#include "rdmdbapi.h"
#include "rdmencryptapi.h"
#include "rdmretcodeapi.h"
#include "rdmrdmapi.h"
#include "rdmrowidapi.h"
#include "rdmtfsapi.h"
#include "rdmtransapi.h"

/** \defgroup rdm RDM C APIs
 *
 * The RDM C APIs. You may want to start by instantiation a TFS
 * handle using rdm_rdmAllocTFS().  Please see the respective
 * sub-modules for details.
 *
 * \defgroup datatypes RDM data type APIs
 *
 * The RDM datatype APIs.  The functions here are located in \lib{base}
 *
 * \ingroup rdm
 */
